Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Fetching contributors…

Cannot retrieve contributors at this time

82 lines (57 sloc) 1.602 kB
@HEADER-COMMENT@
@HEADER@
Group: System/YaST
License: GPL-2.0+
BuildRequires: gcc-c++
BuildRequires: libtool
BuildRequires: yast2-devtools
# autodocs + docbook docs
BuildRequires: doxygen
BuildRequires: docbook-xsl-stylesheets libxslt
BuildRequires: sgml-skel
Requires: yast2-core
BuildRequires: yast2-core-devel
Conflicts: yast2-core < 2.16.38
# dependecies for new libyui
Requires: yast2 >= 2.23.1
Conflicts: yast2-libyui < 2.42.0
Requires: libyui4 >= 2.21.5
BuildRequires: libyui-devel >= 2.21.5
# libyui ImplPtr
BuildRequires: boost-devel
Summary: YaST2 - YCP Bindings for the YaST2 User Interface Engine
Provides: @plugindir@/libpy2UI.so.2.0.0
%description
This package makes the generic YaST2 user interface engine available
for YCP applications (YCP is the scripting language in which most YaST2
modules are written).
@HEADER-DEVEL@
Summary: YaST2 - YCP Bindings for the YaST2 User Interface Engine
Requires: glibc-devel
Requires: libstdc++-devel
Requires: boost-devel
Requires: libyui-devel
Requires: yast2-core-devel
Requires: yast2-devtools
%description devel
This is the development package that makes the generic YaST2 user
interface engine available for YCP applications (YCP is the scripting
language in which most YaST2 modules are written).
@PREP@
@BUILD@
@INSTALL@
mkdir -p "$RPM_BUILD_ROOT"@logdir@
%perl_process_packlist
@CLEAN@
%files
%defattr(-,root,root)
%dir %{_libdir}/YaST2
%dir @plugindir@
@plugindir@/lib*.so.*
%files devel
%defattr(-,root,root)
@plugindir@/lib*.so
@plugindir@/lib*.la
@includedir@
@pkgconfigdir@/@RPMNAME@.pc
%doc @docdir@
Jump to Line
Something went wrong with that request. Please try again.